Bug 598391 - Abrt doesn't capture traces for segfault type 6
Abrt doesn't capture traces for segfault type 6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 05:45 EDT by Mike Fedyk
Modified: 2010-12-03 09:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:08:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Fedyk 2010-06-01 05:45:48 EDT
Description of problem:
> May 27 13:42:16 dt01 kernel: epiphany[9989]: segfault at fffffffffffff7f0 ip 000000391f474b8c sp 00007fffdf2c4d90 error 4 in libc-2.11.1.so [391f400000+16f000]
> May 27 13:42:18 dt01 abrt[9990]: saved core dump of pid 9989 (/usr/bin/epiphany) to /var/cache/abrt/ccpp-1274992936-9989.new/coredump (54530048 bytes)

Notice the "error 4" part and that abrt captures a backtrace for it.

> May 28 01:08:43 dt01 kernel: tecnoballz[12747]: segfault at 10132ddf0 ip 000000000042f5e0 sp 00007fffe99b21f0 error 6 in tecnoballz[400000+68000]

Notice the "error 6" part and that abrt does not capture a backtrace for it.

Version-Release number of selected component (if applicable):
abrt-1.0.9-2.fc12.x86_64
kernel-2.6.32.12-115.fc12.x86_64


How reproducible:
Every time this app crashes.

Steps to Reproduce:
1. play tecnoballz for about 20 minutes
2. watch it crash
3. notice abrt doesn't notice crash or capture backtrace
  
Actual results:
Segfault does not activate abrt (no log output by abrt)

Expected results:
Get debuginfo, get backtrace, report bug to bugzilla.

Additional info:
Comment 1 Bug Zapper 2010-11-03 09:45:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 09:08:10 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.